package com.ruoyi.demo.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.ruoyi.demo.entity.FollowUpRecord;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

@Mapper
public interface FollowUpDao extends BaseMapper<FollowUpRecord> {
    int searchCountByUserIdAndWay(@Param("userId") String userId, @Param("way") String way);
    List<FollowUpRecord> searchAllByClueIdAndUserId(@Param("clueId") String clueId, @Param("userId") String userId);
    int deleteByClueIdAndUserId(@Param("clueId") String clueId, @Param("userId") String userId);
    List<FollowUpRecord> searchAllByMulti(@Param("clueId") String clueId,@Param("text") String text, @Param("startTime") String startTime, @Param("endTime") String endTime, @Param("userId") String userId);
    Integer selectCountByWay(@Param("userId") String userId, @Param("way") String way);
}
